<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';


function format_row($row){
		global $_Years;
		global $_Year;
		global $_Months;
		global $_Month;
		global $_Days;
		global $_Day;
		global $_ThereIsSpace;
		global $_SpaceAgo;

    //formatting a date field
    $data = $row->get_value("date");
		$data = substr($data,0,-3);
		$what = array('years','year','days','day','months','month');
		$by = array("{$_Years}","{$_Year}","{$_Days}","{$_Day}","{$_Months}","{$_Month}");
		$data = str_replace($what, $by, $data);
		$data = $_ThereIsSpace.$data.$_SpaceAgo;
    $row->set_value("date",$data);
}

$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("","","","Rev.","Date","Author","Name","Label","Comment","doc_master_groupid"));
	$config->setColIds(array("shortcut_download","shortcut_edit","shortcut_view","revision","date","author","name","label","comment","doc_master_groupid"));
	$config->setColTypes(array("icon","icon","icon","ro","ro","ro","ro","ro","ro","ro"));
	$config->attachHeader(array("#rspan","#rspan","#rspan","#rspan","#rspan","#rspan","#text_filter","#rspan","#rspan","#rspan"));
	$config->setColSorting(array("na","na","na","str","str","str","str","str","str"));
	$config->setInitWidths(array("30","30","30","50","*","*","*","*","*","0"));
	$config->setColHidden	( array ( "0",					"0",				"1",				"1",		"0",		"0",		"0",			"0",		"0",		"1"						));
	
	$data = new GridConnector($conn,"Postgre");
	
	$data->set_config($config);
	//$data->event->attach("beforeRender","format_row");


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

	$document_link_type = '';

  if(isset($_GET['extid']))
  {
     $whereclause = "and document_link.ext_id = {$_GET['extid']}";
  }else{
		$whereclause = "and document_link.ext_id = -1"; //no result;
	}

	if(isset($_GET['versioning']) &&  $_GET['versioning'] == '1')
	{
		$config->setColHidden(array("1","1","0","0","0","0","0","0","0","1"));
	}else{
		$whereclause .=' and v_last_documentstatus.status_id=1';
	}

	$document_link_type = '';
	if(isset($_GET['doctype']))
	{
		$document_link_type = $_GET['doctype'];
	}

	//date_trunc('minute',age(now(),document.creation_date)) as date;
	$req = "select '".ICON_DOWNLOAD_FONT."' as shortcut_add,'".ICON_EDIT_FONT."' as shortcut_edit,'".ICON_VIEW_FONT."' as shortcut_view,document.id as id, document.revision as revision,document.label as label,to_char(creation_date,'MM/DD/YYYY') as date,staff_member.lastname || ' ' ||staff_member.firstname as author,document.label as label, document_master.name as name,document.comment as comment, to_char(creation_date,'MM/DD/YYYY') || ' ' || document_master.name||'_'||doc_master_id as doc_master_groupid
	from document_master,staff_member,document_link,document,v_last_documentstatus,statuslist
	where document_master.removed = false and staff_member.id = document.uploadedby and document_link.type='{$document_link_type}'and document_link.doc_id =
	document.id and document.id=v_last_documentstatus.doc_id and v_last_documentstatus.status_id = statuslist.id and document.removed = false and document_master.id = document.doc_master_id {$whereclause}";

	error_log ( "db_filedocument.php - req : ".$req );

	$data->render_complex_sql($req,"id","shortcut_add,shortcut_edit,shortcut_view,revision,date,author,name,label,comment,doc_master_groupid");
}
