<?php

require_once('../../autoload.php');

header('Content-Type: application/json');

$conn = get_dbconnection();

if($conn)
{
  //$sql="select examwarning.id,examwarning.title,coalesce(exam_id,-1) from examwarning left join examwarning_link on examwarning.id = examwarning_link.examwarning_id and examwarning_link.exam_id = {$examid} where examwarning.removed = false";
  $sql="select examwarning.id,examwarning.title from examwarning where examwarning.removed = false";

  $listwarning = array();
  if($query=pg_query($conn,$sql))
  {

    while($row = pg_fetch_row($query))
    {

      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));


      $warning = new stdClass();
      $warning->type = "option";
      $warning->value = $row[0];
      $warning->label = $row[1];
      $listwarning[] = $warning;
    }
  }


}
else{
  echo "Could not connect";
}

$myJSON = json_encode($listwarning);

echo $myJSON;
?>
