<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';


$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("Name"));
	$config->setColIds(array("name"));
	$config->setColTypes(array("ro"));
	$config->attachHeader(array("#text_filter"));
	$config->setColSorting(array("str"));
	$config->setInitWidths(array("*"));
	$config->setColHidden(array("0"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}



  $whereclause = '';
  if(isset($_GET['instid']))
  {
     $whereclause = "and institution.id = {$_GET['instid']}";
  }

	$data->render_complex_sql("select id, name from institution where removed = false {$whereclause}","id","name");
}
