<?php

error_reporting(E_ALL ^ E_NOTICE);

//include db connection settings
require_once('../../autoload.php');


 function add_row(&$rowId){
   $conn = get_dbconnection();
   $sql = "insert into staff_job(dep_id,staff_role_id,staff_id,begdate)
           values(-1,-1,{$_POST[$rowId.'_staff_id']},now()) returning id;";
           
   if ($query = pg_query($conn, $sql))
   {
     $row = pg_fetch_row($query);
     $rowId = $row[0];
   }else{
     error_log("Error SQL {$sql}");
   }

 	return "inserted";
 }


 function update_row(&$rowId){
   $conn = get_dbconnection();

   $sql = "update staff_job set begdate = to_timestamp('{$_POST[$rowId.'_begdate']}','DD/MM/YYYY'),enddate = to_timestamp('{$_POST[$rowId.'_enddate']}','DD/MM/YYYY'),dep_id ={$_POST[$rowId.'_dep_id']}, staff_role_id = {$_POST[$rowId.'_staff_role_id']} where id = {$rowId};";

   if ($query = pg_query($conn, $sql))
   {
   }else{
     error_log("Error SQL {$sql}");
   }
 	return "updated";
 }

function delete_row(&$rowId){
  $conn = get_dbconnection();
  $sql = "update staff_job set removed = true where id = {$rowId};";

  if(!pg_query($conn,$sql))
  {
    error_log("Error SQL {$sql}");
  }
  pg_close($conn);

  return "deleted";
}


ob_clean();
//include XML Header (as response will be in xml format)
header("Content-type: text/xml");

//encoding may differ in your case
echo('<?xml version="1.0" encoding="iso-8859-1"?>');
//output update results
echo "<data>";


$ids = explode(",",$_POST["ids"]);

//for each row
for ($i=0; $i < sizeof($ids); $i++) {
	$rowId = $ids[$i]; //id or row which was updated
  $newrowId = $rowId;
	//$newId = $rowId; //will be used for insert operation

	$mode = $_POST[$rowId."_!nativeeditor_status"]; //get request mode

	switch($mode){
		case "inserted":
			//row adding request
			$action = add_row($newrowId);
		break;

		case "deleted":
			//row deleting request
			$action = delete_row($newrowId);
		break;

    default:
			//row updating request
			$action = update_row($newrowId);
		break;
	}
	echo "<action type='".$action."' sid='".$rowId."' tid='".$newrowId."'/>";

}
echo "</data>";

?>
