<?php

require_once('../../autoload.php');

header('Content-Type: application/json');

$conn = get_dbconnection();

if($conn)
{

  $sql="select id,name,modalitytype from device where removed = false order by name";

  $listmodalitytitle = array();
  if($query=pg_query($conn,$sql))
  {

    while($row = pg_fetch_row($query))
    {

      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
      if(!array_key_exists($row[2],$listmodalitytitle))
      {
        $tt = new stdClass();
        $tt->type = "optiongroup";

        $tt->label = $row[2];
        $tt->children = array();

        $listmodalitytitle[$row[2]] = $tt;
      }
      $devicelist = &$listmodalitytitle[$row[2]];
      $device = new stdClass();
      $device->type = "option";
      $device->value = $row[0];
      $device->label = $row[1];
      $devicelist->children[] = $device;
    }
  }
  if($query=pg_query($conn,$sql))
  {

    while($row = pg_fetch_row($query))
    {

      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
      if(!array_key_exists($row[2],$listmodalitytitle))
      {
        $tt = new stdClass();
        $tt->type = "optiongroup";

        $tt->label = $row[2];
        $tt->children = array();

        $listmodalitytitle[$row[2]] = $tt;
      }
      $devicelist = &$listmodalitytitle[$row[2]];
      $device = new stdClass();
      $device->type = "option";
      $device->value = $row[0];
      $device->label = $row[1];
      $devicelist->children[] = $device;
    }
  }
}
else{
  echo "Could not connect";
}
$vArray = [];
foreach ($listmodalitytitle as $key => $value){
  $vArray[] =  $value;
}

$myJSON = json_encode($vArray);
echo $myJSON;
?>
