<?php
	require_once('../../autoload.php');

	$type = "";

	if ( isset ( $_GET['type'] ) && $_GET['type'] != '' 	)		$type = $_GET['type'];


  $groupbyoption = false;
	$request = '';
	switch ( $type )
	{
		case 'modality':
			$request = "select id,name,modalitytype from device where removed=false and (ris_name is not null or pacs_name is not null or dacs_name is not null) order by modalitytype,name";
			$groupbyoption = true;
			break;

		case 'radiologist':
			$request = "select id, lastname || ' ' || firstname as name,'' from staff_member where ris_name is not null or pacs_name is not null or dacs_name is not null order by lastname";
			break;
	}

  $listmodalitytitle = array();
	if($request != '')
	{
		$conn = get_dbconnection();

		if($conn)
		{
		  if($query=pg_query($conn,$request))
		  {

				if($groupbyoption == true)
				{
			    while($row = pg_fetch_row($query))
			    {

			      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
			      if(!array_key_exists($row[2],$listmodalitytitle))
			      {
			        $tt = new stdClass();
			        $tt->type = "optiongroup";

			        $tt->label = $row[2];
			        $tt->children = array();

			        $listmodalitytitle[$row[2]] = $tt;
			      }
			      $devicelist = &$listmodalitytitle[$row[2]];
			      $device = new stdClass();
			      $device->type = "option";
			      $device->value = $row[0];
			      $device->label = $row[1];
			      $devicelist->children[] = $device;
			    }
				}
		  }
		}
		else{
		  error_log("Could not connect");
		}
		error_log($groupbyoption);
	}

	header('Content-Type: application/json');
	$vArray = [];
	if($groupbyoption == true)
	{
		foreach ($listmodalitytitle as $key => $value){
		  $vArray[] =  $value;
		}


	}else{

	}
	$myJSON = json_encode($vArray);

 ?>
