<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="./Common/pics<?php echo  $GLOBALS["EOQUAL_ROOT"]?>.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_doublecalendarinput.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_searchcbfilter.js"></script>
  <link rel="stylesheet" href="/extern_css/checkbox/searchableOptionList.css">
  <script type="text/javascript" src="js/jquery/jquery.js"></script>
  <script type="text/javascript" src="/extern_css/checkbox/sol.js"></script>
	<script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>
  <script src="js/c_documentmanager.js"></script>

  <link rel="stylesheet" href="./css/eoQUAL.css"/>
  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>
	var IdcMainLayout 		= null;
	var url_gridexamlist 	= '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/examlist/db_gridexamlist.php';
	var solWarningLink 		= '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/examlist/get_examwarning.php';
	var solTagLink 			= '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/get_tag.php';
	var solTagInstDep 		= '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/get_taginstdep.php';

	<?php create_translate_xml_js_function(); ?>

	var dhtmlxUtils;

	window.solForm 			= null;
	window.solGrid 			= null;
	window.solGridInst 		= null;
	window.solWarning 		= null;
	window.solFormInstDep	= null;

	function init_layout ()
	{
		var staffid = <?php echo $_SESSION['id'];?>;
		var isembedded = false;

		//page is embedded into eoqual frame
		if(typeof embeddedpage !== 'undefined')
			isembedded = true;

		dhtmlxUtils = new C_DhtmlxUtils ( isembedded );

		window.dhx4.skin = 'dhx_web';

		IdcMainLayout = new dhtmlXLayoutObject('layout', '2U');

		IdcMainLayout.cookie_id = 'eoqualexamlist'+staffid;

		var IdcLeft = IdcMainLayout.cells ( 'a' );
		var IdcLeftLayout = IdcLeft.attachLayout('2E');
		var IdcLeftTop = IdcLeftLayout.cells('a');
		IdcLeftTop.hideHeader();
		IdcLeftTop.setHeight(200);	// Height of filter combo
		IdcLeftTop.attachHTMLString("<div id='_searchTagInst_' data-sol-name='character' multiple='multiple'><br/></div><div id='_searchTag_' data-sol-name='character' multiple='multiple'></div>");
		IdcLeftTop.cell.classList.add('eo_ztop');

		var l1b = IdcLeftLayout.cells('b');
		l1b.hideHeader();
		l1b.setWidth('400');	// Width of left column

		var grid_examlist = l1b.attachGrid();

		$(function()
		{
             window.solGrid = $('#_searchTagInst_').searchableOptionList
             (
             	{
               texts: {
                   searchplaceholder: 'Click here to add institution/department'
               },
             		events:
             		{
                		onChange:function(sol,changedElements)
                		{
                  var idlist = ''; //nothing selected
                  var valueList = sol.getSelection();
                  if(valueList.length)
                    idlist = valueList[0].value;
                  for( var j = 1; j < valueList.length; j++)
                  {
                    idlist += ','+valueList[j].value;
                  }

                  var linkload = url_gridexamlist+"?taglist="+idlist;
                  if(idlist == '')
                  {
                    linkload= url_gridexamlist;
                  }

                  			grid_examlist.load
                  			(
                  				linkload,
                  				function ()
                  				{
                    				if(grid_examlist.getRowsNum())
                    				{
                      grid_examlist.selectRow(0,true,true,true);
                    }
                  				}
                  			);

                }
           },
            maxHeight: '350px',
            data: solTagInstDep
          		}
          	);

           window.solGridInst = $('#_searchTag_').searchableOptionList
           (
           		{
             		texts:
             		{
                 searchplaceholder: 'Click here to filter by tag'
             },
           			events:
           			{
              			onChange:function(sol,changedElements)
              			{
                var idlist = ''; //nothing selected
                var valueList = sol.getSelection();
                if(valueList.length)
                  idlist = valueList[0].value;
                for( var j = 1; j < valueList.length; j++)
                {
                  idlist += ','+valueList[j].value;
                }

                var linkload = url_gridexamlist+"?taglist="+idlist;
                if(idlist == '')
                {
                  linkload= url_gridexamlist;
                }

                			grid_examlist.load
                			(
                				linkload,
                				function ()
                				{
                  					if ( grid_examlist.getRowsNum () )
                  					{
                    grid_examlist.selectRow(0,true,true,true);
                  }
                				}
                			);

              }
         },
          maxHeight: '350px',
          data: solTagLink
      			}
      		);
  		}
  	);

  window.aa = grid_examlist;
  grid_examlist.enableMultiline(true);
  grid_examlist.load(url_gridexamlist);
  var dpexamlist = new dataProcessor(url_gridexamlist);
  dpexamlist.enableDataNames(true);
  dpexamlist.init(grid_examlist); //link grid to dataprocessor

  var grid_examlist_toolbar = l1b.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/examlist/examlisttoolbar.xml")
		});

  var IdcRight = IdcMainLayout.cells('b');
	var layout_2 = IdcRight.attachLayout('2E');
  var IdcRightTop = layout_2.cells('a');
  IdcRightTop.hideHeader();
  IdcRightTop.setHeight('300');
  IdcRightTop.cell.classList.add('eo_ztop');
  var form_examlist_toolbar = IdcRight.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/examlist/examlistformtoolbar.xml")
  });

  var form_examlist = IdcRightTop.attachForm();
  form_examlist.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/examlist/examlistform.xml"),function(){
    var containerMultiform = form_examlist.getContainer('tags');
    containerMultiform.innerHTML="<div id='_form_tags_' data-sol-name='character' multiple='multiple'></div>";
    $(function() {
           window.solForm = $('#_form_tags_').searchableOptionList({
           events: {

         },
          maxHeight: '350px',
          data:  solTagLink
      });
    });
    var containerMultiformInstDep = form_examlist.getContainer('instdep');
    containerMultiformInstDep.innerHTML="<div id='_form_instdep_' data-sol-name='character' multiple='multiple'></div>";
    $(function() {
           window.solFormInstDep = $('#_form_instdep_').searchableOptionList({
             texts: {
                 searchplaceholder: 'Click here to add institution/department'
             },
           events: {

         },
          maxHeight: '350px',
          data:  solTagInstDep
      });
    });

    var containerMultiwarning = form_examlist.getContainer('warning');
    containerMultiwarning.innerHTML="<div id='_form_warning_' data-sol-name='character' multiple='multiple'></div>";
    $(function() {
         window.solWarning = $('#_form_warning_').searchableOptionList({
           events: {

         },
          maxHeight: '350px',
          data: solWarningLink
      });
    });

  });

  form_examlist.bind(grid_examlist);
  form_examlist.linkeddp = dpexamlist;



	//******************************************************************************
	// Documents ( procedures ) list
	//

	var IdcDocumentsAreaTmp = layout_2.cells('b');
	var IdcDocumentsArea = IdcDocumentsAreaTmp.attachLayout('2U');

	// Procedures area
	var IdcProcedureArea = IdcDocumentsArea.cells('a');
	IdcProcedureArea.hideHeader ();
	var grid_examlistprocedure_toolbar = IdcProcedureArea.attachToolbar
	(
		{
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml ("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/examlist/examlistproceduretoolbar.xml")
		}
	);

	var grid_examlistProcedure = IdcProcedureArea.attachGrid ();



	// Patient sheet area
	var IdcPatientSheetArea = IdcDocumentsArea.cells('b');
	IdcPatientSheetArea.hideHeader ();

	var grid_examlistpatientsheet_toolbar = IdcPatientSheetArea.attachToolbar
	(
		{
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml ("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/examlist/examlistpatientsheettoolbar.xml")
		}
	);

	var grid_examlistPatientSheet = IdcPatientSheetArea.attachGrid ();



	dpexamlist.attachEvent
	(
		"onAfterUpdate",
		function ( sid, action, tid, xml_node )
		{ // update is finished
			if ( action=='inserted' )
			{
				grid_examlist.updateFromXML
				(
					url_gridexamlist+"?examlistid="+tid,
					false,
					false,
					function ()
					{
						grid_examlist.selectRowById(tid,false,true,true);
						form_examlist.setFocusOnFirstActive();
					}
				);
			}
			else
				if(action == 'updated')
				{
					grid_examlist.updateFromXML
					(
						url_gridexamlist+"?examlistid="+tid,
						false,
						false,
						function ()
						{
							grid_examlist.selectRowById(tid,false,true,true);
							form_examlist.setFocusOnFirstActive();
						}
					);
				}
		}
	);



	grid_examlist_toolbar.attachEvent
	(
		"onClick",
		function ( id )
		{
			switch(id)
			{
				case 'add':
					{
						var rowId=grid_examlist.uid();                  //generates an unique id
						grid_examlist.addRow(rowId,["",""],0);
					}
					break;

				case 'delete':
					{
						var rowId = grid_examlist.getSelectedRowId();
						var rowIndex = grid_examlist.getRowIndex(rowId);
						if ( rowId!=null )
						{
							grid_examlist.deleteRow(rowId);
							if ( rowIndex!=(grid_examlist.getRowsNum()-1) )
							{
								grid_examlist.selectRow(rowIndex+1,true);
							}
							else
							{
								grid_examlist.selectRow(rowIndex-1,true);
							}
						}
					}
					break;

				default:
			}
		}
	);

	form_examlist.linkeddp.attachEvent
	(
		"onBeforeDataSending",
		function ( id, state, data )
		{
			for (const property in data)
			{
				//tag warning
				var id = ''; //nothing selected
				var valueList = solWarning.getSelection();
				if(valueList.length)
					id = valueList[0].value;
				for( var j = 1; j < valueList.length; j++)
				{
					id += ','+valueList[j].value;
				}
				data[property].warninglist = id;

				//tag exam
				id = ''; //nothing selected
				valueList = solForm.getSelection();
				if(valueList.length)
				id = valueList[0].value;
				for( var j = 1; j < valueList.length; j++)
				{
					id += ','+valueList[j].value;
				}

				valueList = solFormInstDep.getSelection();
				var indxstart = 1;
				if(id != '')
				{
					indxstart = 0;
				}
				else
				{
					if(valueList.length && id == '')
					{
						id = valueList[0].value;
					}
				}
				for( var j = indxstart; j < valueList.length; j++)
				{
					id += ','+valueList[j].value;
				}
				data[property].tagexamlist = id;
			}

			return true;
		}
	);

	form_examlist_toolbar.attachEvent
	(
		"onClick",
		function ( id )
		{
			if(grid_examlist.getSelectedRowId() == null)
			{
				dhtmlx.message
				(
					{
						type: "error",
						text: "<?php echo $_E_NoExamSelected;?>"
					}
				)
				return;
			}

			switch ( id )
			{
					case 'save':
					{
						form_examlist.linkeddp.setUpdateMode('off');
						// save changes
						if(form_examlist.validate())
							form_examlist.save();
						form_examlist.linkeddp.sendData();
						form_examlist.linkeddp.setUpdateMode('cell');
					}
					break;

				default:
					break;
			}
		}
	);


  grid_examlist.attachEvent("onRowSelect", function(id,ind){
    // your code here
    var taglistidx = grid_examlist.getColIndexById('taglist');
    var riskidx = grid_examlist.getColIndexById('riskv');

    var idlist = grid_examlist.cells(id,taglistidx).getValue();

    var idarray = idlist.split(',');

    window.solForm.selectValueList(idarray);
    window.solFormInstDep.selectValueList(idarray);

    idlist = grid_examlist.cells(id,riskidx).getValue();

    idarray = idlist.split(',');

    window.solWarning.selectValueList(idarray);

  });

  //***************************************examlist BEGIN*****************************************//
  var docManager_examlist = new C_DocumentManager();

  docManager_examlist.set_data ( 'winname',					'FormexamlistDocument'							);
  docManager_examlist.set_data ( 'uploadername',			'devicedocumentfile'							);
  docManager_examlist.set_data ( 'layout', 					IdcMainLayout 									);
  docManager_examlist.set_data ( 'staffid',					<?php echo $_SESSION['id']; ?>					);
  docManager_examlist.set_data ( 'title_newdocument',		'New examlist'									);
  docManager_examlist.set_data ( 'title_newversion',		'New version'									);
  docManager_examlist.set_data ( 'title_editversion',		'Edit version'									);
  docManager_examlist.set_data ( 'noselection',				'No examlist selected'							);
  docManager_examlist.set_data ( 'serverip',				'<?php echo $config_servernameorip;?>'			);
  docManager_examlist.set_data ( 'documentstorage',			'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_examlist.set_data ( 'pdfviewer',				'<?php echo $config_pdfchrome;?>'				);
  docManager_examlist.set_data ( 'type',					'examlist'										);
  docManager_examlist.set_data ( 'uniquedoc',				'1'												);

  docManager_examlist.init ();

  docManager_examlist.init_object ( grid_examlist, grid_examlistprocedure_toolbar, grid_examlistProcedure );




  var dmExamlistOtherDocument = new C_DocumentManager();

  dmExamlistOtherDocument.set_data ( 'winname',					'FormexamlistOtherDocument'						);
  dmExamlistOtherDocument.set_data ( 'uploadername',			'devicedocumentfile'							);
  dmExamlistOtherDocument.set_data ( 'layout', 					IdcMainLayout 									);
  dmExamlistOtherDocument.set_data ( 'staffid',					<?php echo $_SESSION['id']; ?>					);
  dmExamlistOtherDocument.set_data ( 'title_newdocument',		'New examlist'									);
  dmExamlistOtherDocument.set_data ( 'title_newversion',		'New version'									);
  dmExamlistOtherDocument.set_data ( 'title_editversion',		'Edit version'									);
  dmExamlistOtherDocument.set_data ( 'noselection',				'No examlist selected'							);
  dmExamlistOtherDocument.set_data ( 'serverip',				'<?php echo $config_servernameorip;?>'			);
  dmExamlistOtherDocument.set_data ( 'documentstorage',			'<?php echo $GLOBALS["document_storage"]; ?>'	);
  dmExamlistOtherDocument.set_data ( 'pdfviewer',				'<?php echo $config_pdfchrome;?>'				);
  dmExamlistOtherDocument.set_data ( 'type',					'examlist_otherdocument'						);
  dmExamlistOtherDocument.set_data ( 'uniquedoc',				'1'												);

  dmExamlistOtherDocument.init ();

  dmExamlistOtherDocument.init_object ( grid_examlist, grid_examlistpatientsheet_toolbar, grid_examlistPatientSheet );
  //***************************************examlist END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(IdcMainLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


	//***************************************event on document begin*****************************************//
	document.addEventListener
	(
		'onAfterDocumentInserted',
		function ( event )
		{
			switch(event.detail['type'])
			{
				case 'examlist':				{	docManager_examlist.update_document_grid		( event.detail['docid'] );		}	break;
				case 'examlist_otherdocument':  {   dmExamlistOtherDocument.update_document_grid	( event.detail['docid'] );		}	break;
				default:																												break;
			}
		}
	);

	document.addEventListener
	(
		'onAfterDocumentUpdated',
		function ( event )
		{
			switch ( event.detail['type'] )
			{
				case 'examlist':      			{	docManager_examlist.update_document_grid		( event.detail['docid'] );     	}	break;
				case 'examlist_otherdocument':  {	dmExamlistOtherDocument.update_document_grid	( event.detail['docid'] );   	}	break;
				default:																												break;
			}
		}
	);

	document.addEventListener
	(
		'onAfterDocumentDeleted',
		function ( event )
		{
			switch ( event.detail['type'] )
			{
				case 'examlist':				{	docManager_examlist.update_document_grid		( event.detail['docid'] );      }	break;
				case 'examlist_otherdocument':	{	dmExamlistOtherDocument.update_document_grid	( event.detail['docid'] );      }	break;
				default:																												break;
			}
		}
	);

	window.myLayout = IdcMainLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
