<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_ReportAnIncident;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="./js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <script src="./js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var dp_url_formfastincidentreporting = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/incidentreporting/db_dp_formfastincidentreporting.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '1C');
  myLayout.cookie_id = 'eoqualfastincidentreporting'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.attachToolbar({
      iconset: "awesome",
      skin: "dhx_web",
      height:'25',
      xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/fastincidentreportingformtoolbar.xml")
    });
  var form_fastincidentreporting = a.attachForm();
  form_fastincidentreporting.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/fastincidentreportingform.xml"),function(){
    form_fastincidentreporting.setItemValue('reporterbyid',staffid);
    form_fastincidentreporting.setItemValue('reporterby','<?php echo $_SESSION['lastname'].' '.$_SESSION['firstname']?>');
    form_fastincidentreporting.getCalendar('reportdate').setDate(new Date());
    form_fastincidentreporting.setItemValue('reportdate',form_fastincidentreporting.getCalendar('reportdate').getFormatedDate());
    form_fastincidentreporting.setRequired("dep_id",true);
    form_fastincidentreporting.setRequired("title",true);
  });

  var dpfastincidentreporting = new dataProcessor(dp_url_formfastincidentreporting);
  dpfastincidentreporting.init(form_fastincidentreporting); //link grid to dataprocessor
  dpfastincidentreporting.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      dhtmlx.message({

        text:"Incident reported<br />",
        expire:1000
      });
    }
    else if(action == 'updated')
    {
      dhtmlx.message({
          text:"Incident updated<br />",
          expire:1000
      });
    }
  });

  form_fastincidentreporting.attachEvent("onButtonClick", function(id){
				if (id == "save") form_fastincidentreporting.save();
	});
  form_fastincidentreporting.attachEvent("onValidateError", function (name, value, result){
      //your code here
      switch(name)
      {
        case 'dep_id': dhtmlx.message({
          type:"error",
          text:"Department can not be empty.<br />",
          expire:2000
        });
        break;
        case 'title': dhtmlx.message({
          type:"error",
          text:"Login can not be empty.<br />",
          expire:2000
        });
        break;
      }

  });
  //***************************************Procedure BEGIN*****************************************//

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();

  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
