<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Institution;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <script src="js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridinstitution = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/institutiondocument/db_gridinstitution.php';
  var url_gridinstitutiondepartment = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/institutiondocument/db_gridinstitutiondepartment.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '2U');
  myLayout.cookie_id = 'eoqualstaff'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('300');
  var grid_institution_toolbar = a.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/institutiondocument/institutiontoolbar.xml")
  });
  var grid_institution = a.attachGrid();
  grid_institution.enableMultiline(true);
  grid_institution.load(url_gridinstitution);

  var b = myLayout.cells('b');

  var layout_1 = b.attachLayout('2E');

	var cell_1 = layout_1.cells('a');
	cell_1.hideHeader();
  var grid_institutiondocument_toolbar = cell_1.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/institutiondocument/institutiondocumenttoolbar.xml")
  });

	var grid_institutiondocument = cell_1.attachGrid();


  var docManager_institution = new C_DocumentManager ();

  docManager_institution.set_data ( 'winname',			'FormInstitutionDocument'								);
  docManager_institution.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_institution.set_data ( 'layout',				myLayout										);
  docManager_institution.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_institution.set_data ( 'title_newdocument',	'New document'									);
  docManager_institution.set_data ( 'title_newversion',	'New version'									);
  docManager_institution.set_data ( 'title_editversion',	'Edit version'									);
  docManager_institution.set_data ( 'noselection',		'No institution selected'						);
  docManager_institution.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_institution.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_institution.set_data ( 'type',				'institution'									);

  docManager_institution.init ();

  docManager_institution.init_object ( grid_institution, grid_institutiondocument_toolbar, grid_institutiondocument );

  //***************************************Institution department BEGIN*****************************************//

  var cell_2 = layout_1.cells('b');

  var layout_department = cell_2.attachLayout('2U');

  var cell_departementlist = layout_department.cells('a');
  cell_departementlist.hideHeader();

  var grid_departmentlist_toolbar = cell_departementlist.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/institutiondocument/departmenttoolbar.xml")
  });

  var grid_departmentlist = cell_departementlist.attachGrid();

  grid_departmentlist.enableMultiline(true);
  grid_departmentlist.load(url_gridinstitutiondepartment);

  var cell_departementdocument = layout_department.cells('b');
  cell_departementdocument.hideHeader();
  var grid_departmentdocument_toolbar = cell_departementdocument.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/institutiondocument/departmentdocumenttoolbar.xml")
  });

  var grid_departmentdocument = cell_departementdocument.attachGrid();

  var docManager_department = new C_DocumentManager ();

  docManager_department.set_data ( 'winname',			'FormDepartmentDocument'								);
  docManager_department.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_department.set_data ( 'layout',				myLayout										);
  docManager_department.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_department.set_data ( 'title_newdocument',	'New document'									);
  docManager_department.set_data ( 'title_newversion',	'New version'									);
  docManager_department.set_data ( 'title_editversion',	'Edit version'									);
  docManager_department.set_data ( 'noselection',		'No department selected'						);
  docManager_department.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_department.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_department.set_data ( 'type',				'department'									);

  docManager_department.init ();

  docManager_department.init_object (grid_departmentlist , grid_departmentdocument_toolbar, grid_departmentdocument );

  //***************************************Institution department END*****************************************//


  grid_institution.attachEvent("onRowSelect", function(id,ind){

    grid_departmentlist.load(url_gridinstitutiondepartment+'?instid='+id);

  });



  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
//  dhtmlxUtils.init_grid_save_cookies(grid_institutionformation);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'institution':
      {
        docManager_institution.update_document_grid(event.detail['docid']);
      }break;
      case 'department':
      {
        docManager_department.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'institution':
      {
        docManager_institution.update_document_grid(event.detail['docid']);
      }break;
      case 'department':
      {
        docManager_department.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'institution':
      {
        docManager_institution.update_document_grid(event.detail['docid']);
      }break;
      case 'department':
      {
        docManager_department.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });


  //***************************************event on document end*****************************************//
  myLayout.attachEvent("onResizeFinish", function(){
      // your code here

  });
	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
