<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_LegalDocument;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <script src="./js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridlegaldocument = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/legaldocument/db_gridlegaldocument.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3L');
  myLayout.cookie_id = 'eoquallegaldocument'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('400');
  window.cella = myLayout.cells('a');
  var grid_legaldocument = a.attachGrid();
  grid_legaldocument.enableMultiline(true);
  grid_legaldocument.load(url_gridlegaldocument);
  var dplegaldocument = new dataProcessor(url_gridlegaldocument);
  dplegaldocument.init(grid_legaldocument); //link grid to dataprocessor

  var grid_legaldocument_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumenttoolbar.xml")
		});

  
  
  // ********************************************************************************************
  // Legal document information ( form )
  //
  
  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('140');
  var form_legaldocument_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumentformtoolbar.xml")
  });
  var form_legaldocument = b.attachForm();
  form_legaldocument.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumentform.xml"));

  form_legaldocument.bind(grid_legaldocument);
  form_legaldocument.linkeddp = dplegaldocument;

  var c = myLayout.cells('c');
  c.hideHeader();
  var grid_legaldocumentdocument_toolbar = c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumentdocumenttoolbar.xml")
  });

	var grid_legaldocumentdocument = c.attachGrid();

  dplegaldocument.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_legaldocument.updateFromXML(url_gridlegaldocument+"?legaldocumentid="+tid,false,false, function(){
        grid_legaldocument.selectRowById(tid,false,true,true);
        form_legaldocument.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_legaldocument.updateFromXML(url_gridlegaldocument+"?legaldocumentid="+tid,false,false, function(){
        grid_legaldocument.selectRowById(tid,false,true,true);
        form_legaldocument.setFocusOnFirstActive();
      });
    }
  });



  grid_legaldocument_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_legaldocument.uid();                  //generates an unique id
        grid_legaldocument.addRow(rowId,[""],0);
      }break;
      case 'delete':
      {
        var rowId = grid_legaldocument.getSelectedRowId();
         var rowIndex = grid_legaldocument.getRowIndex(rowId);
         if(rowId!=null){
             grid_legaldocument.deleteRow(rowId);
             if(rowIndex!=(grid_legaldocument.getRowsNum()-1)){
                 grid_legaldocument.selectRow(rowIndex+1,true);
             } else{
                 grid_legaldocument.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_legaldocument_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_legaldocument.linkeddp.setUpdateMode('off');
        // save changes
        if(form_legaldocument.validate())
          form_legaldocument.save();
        form_legaldocument.linkeddp.sendData();
        form_legaldocument.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

  //***************************************legaldocument BEGIN*****************************************//
  var docManager_legaldocument = new C_DocumentManager();
  
  docManager_legaldocument.set_data ( 'winname',			'FormlegaldocumentDocument'						);
  docManager_legaldocument.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_legaldocument.set_data ( 'layout',				myLayout										);
  docManager_legaldocument.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_legaldocument.set_data ( 'title_newdocument',	'New document'									);
  docManager_legaldocument.set_data ( 'title_newversion',	'New version'									);
  docManager_legaldocument.set_data ( 'title_editversion',	'Edit version'									);
  docManager_legaldocument.set_data ( 'noselection',		'No document selected'							);
  docManager_legaldocument.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_legaldocument.set_data ( 'documentstorage',	'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_legaldocument.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_legaldocument.set_data ( 'type',				'legaldocument'									);
  
  docManager_legaldocument.init();
  
  docManager_legaldocument.init_object(grid_legaldocument,grid_legaldocumentdocument_toolbar,grid_legaldocumentdocument);
  //***************************************legaldocument END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {

    switch(event.detail['type'])
    {
      case 'legaldocument':
      {
        docManager_legaldocument.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'legaldocument':
      {
        docManager_legaldocument.update_document_grid(event.detail['docid']);
      }break;
      default:
    }

  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'legaldocument':
      {
        docManager_legaldocument.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>
  init_layout ();

  if ( window.attachEvent )
  	window.attachEvent ( "onresize", pageresizeLayout );
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout ()
  {
		window.clearTimeout(t);
  	
		t = window.setTimeout
		(
			function ()
			{
				if ( myLayout != null )
				{
					myLayout.setSizes ( false );
				}
			},
			200
		);
  }

</script>

</body>
</html>
