<html>
<head>
<style>
   #pdfviewer { padding:0px; margin:0 auto; width: 100%; height: 99%  }
</style>


<script>

	var pdfData = '';
  <?php

        require_once 'autoload.php';

		    ini_set('memory_limit', '512M');

        function getdocument($id){

          $sql = "select replace(folder||'/'||file,'\\','/') from document where id ={$id};";

          $conn = get_dbconnection();
          $filename = '';
          if($conn)
          {
            if($query=pg_query($conn,$sql))
            {
              if($row = pg_fetch_row($query))
              {
                $filename=$row[0];
              }
            }
          }
          else{
            echo "Could not connect to database";
          }
          return $filename;
        }

        $b64Doc = '';
        if(isset($_GET['docid'])){
          $file = getdocument($_GET['docid']);
          $b64Doc = '';
          if($file != ''){
            $b64Doc = base64_encode(file_get_contents($file));
          }
          echo 'pdfData = \'' .$b64Doc. '\';';
        }

    ?>

  var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

  // Use a lookup table to find the index.
  var lookup = new Uint8Array(256);
  for (var i = 0; i < chars.length; i++) {
    lookup[chars.charCodeAt(i)] = i;
  }

  function decodeB64(base64) {
    var bufferLength = base64.length * 0.75,
    len = base64.length, i, p = 0,
    encoded1, encoded2, encoded3, encoded4;

    if (base64[base64.length - 1] === "=") {
      bufferLength--;
      if (base64[base64.length - 2] === "=") {
        bufferLength--;
      }
    }

    var arraybuffer = new ArrayBuffer(bufferLength),
    bytes = new Uint8Array(arraybuffer);

    for (i = 0; i < len; i+=4) {
      encoded1 = lookup[base64.charCodeAt(i)];
      encoded2 = lookup[base64.charCodeAt(i+1)];
      encoded3 = lookup[base64.charCodeAt(i+2)];
      encoded4 = lookup[base64.charCodeAt(i+3)];

      bytes[p++] = (encoded1 << 2) | (encoded2 >> 4);
      bytes[p++] = ((encoded2 & 15) << 4) | (encoded3 >> 2);
      bytes[p++] = ((encoded3 & 3) << 6) | (encoded4 & 63);
    }

    return arraybuffer;
  };
</script>

</head>
<body>
<div id="pdfviewer">
<div>
</body>

<script>
	if(pdfData != ''){
		var file12 = new Blob([decodeB64(pdfData)],{
			type : 'application/pdf'
		});
		var URL = window.URL || window.webkitURL;
		var fileURL = URL.createObjectURL(file12);
		var obj = document.createElement('object');
		obj.setAttribute('width', '100%');
		obj.setAttribute('height', '100%');
		obj.setAttribute('type','application/pdf');
		var param = document.createElement('param');
		param.setAttribute('name', 'Src');
		param.setAttribute('value', fileURL);
		obj.appendChild(param);

		param = document.createElement('param');
		param.setAttribute('name','view');
		param.setAttribute('view','Fit');
		obj.appendChild(param);

		var embed = document.createElement('embed');
			embed.setAttribute('width', '100%');
			embed.setAttribute('height', '100%');
			embed.setAttribute('src', fileURL);
			embed.setAttribute('href', fileURL);
		obj.appendChild(embed);
		// here is where you need to know where you're inserting it

		// at the end of the body
		document.getElementById('pdfviewer').appendChild(obj);
	}
</script>

</html>
