	<?php

	include 'autoload.php';

		function create_alert ( $level, $string )
		{
			$alertype = '';

			switch ( $level )
			{
				case 0: $alertype = 'alert-success';      break;
				case 1: $alertype = 'alert-info';         break;
				case 2: $alertype = 'alert-warning';      break;
				case 3: $alertype = 'alert-danger';       break;
			}

			//    This is a primary alert with <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
			echo '<div class="alert '.$alertype.'" role="alert">
			'.$string.'
			</div>';
		}
	?>

	<!DOCTYPE html>

	<html lang="en">
		<head>
			<meta charset="utf-8">
			<meta http-equiv="X-UA-Compatible" content="IE=edge">
			<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
			<meta name="description" content="">
			<meta name="author" content="">
			<link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css" />
			<link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css" />
			<link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css" />
			<link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css" />
			<link rel="shortcut icon" type="image/x-icon" href="./Common/pics/eoqual.png" />
			<script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
			<script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
			<script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

			<title><?php echo $_Dashboard;?></title>

			<!-- Custom fonts for this template-->
			<link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

			<script src="js/jquery/jquery.min.js"></script>

			<!-- Core plugin JavaScript-->
			<script src="Main/js/jquery-easing/jquery.easing.min.js"></script>
			<script src="Main/js/c_documentmanager.js"></script>
			<!-- Custom styles for this template-->
			<link href="Main/css/sb-admin.css" rel="stylesheet">
			<style>
				.t-group
				{
					overflow-y: auto;
					max-height: 325px;
					min-width: 250px;
					width: auto;
					padding: 0.75rem 1.25rem;
					background-color: #fafafa;
					border: 1px solid #dfdfdf;
					border-radius: 0.25rem;
					margin: 7px 7px 7px 7px;
				}

				.header-alert, .header-warning, .header-info
				{
					background-color: #fff; */
					border: 0px solid !important;
					border-radius: .25rem;
					background-color: #fafafa;
					border: 1px solid #dfdfdf;
					border-radius: 0.25rem;
					margin: 7px 7px 7px 7px;
				}

				.header-alert
				{
					background-color: #f8d7da;
					border-color: #f5c6cb;
				}

				.header-warning
				{
					background-color: #fff3cd;
					border-color: #ffeeba;
				}

				.header-info
				{
					background-color: #d1ecf1;;
					border-color: #bee5eb;
				}

				.nocardborder
				{
					border: 0px solid !important;
				}
			</style>
		</head>

		<body>
			<div id="layout">
				<div class="container-fluid">
					<div class="row">
						<div class="col header-alert">
							<?php
								$conn = get_dbconnection();
								$sql = "select count(level),level from (
								select level from v_alert_action
								union all
								select level from v_alert_audit
								union all
								select level from v_alert_device_inspection
								union all
								select level from v_alert_afcnsend
								union all
								select level from v_alert_staff_formation
								union all
								select severity as level from v_alert_report) as all_alert group by level order by level desc";
								$arr[3] = 0;
								$arr[2] = 0;
								$arr[1] = 0;

								if ($query = pg_query($conn,$sql))
								{
									while($row = pg_fetch_row($query))
									{
										$arr[$row[1]] = $row[0];
										$sum += $row[0];
									}
								}
							?>

							<div class="card nocardborder text-white o-hidden h-100">
								<div class="card-body alert-danger">
									<div class="card-body-icon">	<i class="fas fa-fw fa-exclamation-circle"></i>		</div>
									<div class="mr-5"><?php echo $arr[3].' '. $_Alert?></div>
								</div>
							</div>
						</div>

						<div class="col header-warning">
							<div class="card nocardborder text-white o-hidden h-100">
								<div class="card-body alert-warning">
									<div class="card-body-icon">	<i class="fas fa-fw fa-exclamation-triangle"></i>	</div>
									<div class="mr-5"><?php echo $arr[2].' '. $_Warning;?></div>
								</div>
							</div>
						</div>

						<div class="col header-info">
							<div class="card nocardborder text-white o-hidden h-100">
								<div class="card-body alert-info">
									<div class="card-body-icon">	<i class="fas fa-fw fa-info-circle"></i>            </div>
									<div class="mr-5"><?php echo $arr[1].' '. $_Information;?></div>
								</div>
							</div>
						</div>
					</div>



					<div class="row">
                        <div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_INCIDENTREPORTING');" >
                            <h2><?php echo $_IncidentReporting;?></h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select title,severity, to_char(reportdate,'DD/MM/YYYY') from v_alert_report order by severity desc,reportdate desc";
                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = 'An incident '.$row[0].'  has been opened ('.$row[2].').';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = 'An incident '.$row[0].'  has been opened ('.$row[2].').';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
                        <div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_STAFF');"  >
                            <h2><?php echo $_Staff;?></h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select name,level,to_char(planned_date,'DD/MM/YYYY') from v_alert_staff_formation order by planned_date,level desc";
                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = $row[0].' : Training '.$row[3].' planified for '.$row[2]. '.';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = $row[0].' : Training '.$row[3].' planified for '.$row[2]. '.';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
                        <div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_AUDIT');"  >
                            <h2><?php echo $_Audit;?></h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select title,level,to_char(date,'DD/MM/YYYY') from v_alert_audit order by date,level desc";

                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = 'Audit '.$row[0].' planified for '.$row[2]. '.';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = 'Audit '.$row[0].' planified for '.$row[2]. '.';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
                    </div>

					<div class="row">
                        <div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_DEVICE');" >
                            <h2><?php echo $_Device;?></h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select name,level,to_char(planned_date,'DD/MM/YYYY') from v_alert_device_inspection order by planned_date,level desc";
                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = 'An inspection on '.$row[0].' is planned for '.$row[2].'.';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = 'An inspection on '.$row[0].' is planned for '.$row[2].'.';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
                        <div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_SCHEDULEDTASK');"   >
                            <h2>Task</h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select description,level,to_char(deadline,'DD/MM/YYYY') from v_alert_action order by deadline,level desc";
                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = 'Scheduled task: "'.$row[0].'" dead line is '.$row[2].'.';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = 'Scheduled task "'.$row[0].'" dead line is '.$row[2].'.';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
						<div class="col t-group" style="cursor:pointer" onclick="loadpage('VIEW_DOSIMETRY');"   >
                            <h2>Dosimetry</h2>
                            <?php
                              $conn = get_dbconnection();

                              $sql = "select department,level,to_char(senddate,'DD/MM/YYYY') from v_alert_afcnsend order by senddate,level desc";
                              if ($query = pg_query($conn,$sql)){
                                 if(($row = pg_fetch_row($query)))
                                 {
                                  $text = 'Report to send for "'.$row[0].'" before '.$row[2].'.';
                                  create_alert($row[1],$text);
                                  while(($row = pg_fetch_row($query)))
                                  {
                                    $text = 'Report to send for "'.$row[0].'" before '.$row[2].'.';
                                    create_alert($row[1],$text);
                                  }
                                 }else{
                                   //no alert;
                                  create_alert(0,$_NoAlertFound.'.');
                                 }
                               }
                             ?>
                        </div>
                    </div>
                </div>
            </div>
        </body>
    </html>
