<?php

require_once('../../autoload.php');

header('Content-Type: application/json');

$conn = get_dbconnection();

if($conn)
{

  $sql="select tag.id,tag.name from tag where type != 'OR' and tag.removed = false order by tag.name";

  $listwarning = array();
  if($query=pg_query($conn,$sql))
  {

    while($row = pg_fetch_row($query))
    {

      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));


      $warning = new stdClass();
      $warning->type = "option";
      $warning->value = $row[0];
      $warning->label = $row[1];
      $listwarning[] = $warning;
    }
  }


}
else{
  echo "Could not connect";
}

$myJSON = json_encode($listwarning);

echo $myJSON;
?>
