<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload_extern.php';



$conn = get_dbconnection();

if($conn)
{
	$config = new GridConfiguration ();
	
	$config->setHeader		( array ( "Code",	"Examination",	"Modality",	"Description",	"riskv",	"taglist",	"doc_id",		"doc_otherdoc_id",	"sex",		"age"		));
	$config->setColIds		( array ( "code",	"nameid",		"modality",	"description",	"riskv",	"taglist",	"doc_id",		"doc_otherdoc_id",	"sex",		"age"		));
	$config->setColTypes	( array ( "ro",		"ro",			"ro",		"ro",			"ro",		"ro",		"ro",			"ro",				"ro",		"ro"		));
	$config->attachHeader	( array ( "#rspan",	"#rspan",		"#rspan",	"#rspan",		"#rspan",	"#rspan",	"#rspan",		"#rspan",			"#rspan",	"#rspan"	));
	$config->setColSorting	( array ( "str",	"str",			"str",		"str",			"str",		"str",		"int",			"str",				"str",		"str"		));
	$config->setInitWidths	( array ( "50",		"*",			"120",		"*",			"*",		"*",		"110",			"50",				"50",		"50"		));
	$config->setColHidden	( array ( "0",		"0",			"0",		"1",			"1",		"1",		"0",			"0",				"1",		"1"			));
	
	$data = new GridConnector ( $conn, "Postgre" );
	$data->set_config ( $config );
	
	if ( isset ( $_GET['exam_ident'] ) )
	{
		$exam_ident = $_GET['exam_ident'];
		
		$sex 		= $_GET['sex'];
		$age 		= $_GET['age'];
		
		$select = "select v_exam_risk_tag_doc.id as id,  v_exam_risk_tag_doc.name as name, v_exam_risk_tag_doc.modality, v_exam_risk_tag_doc.name, v_exam_risk_tag_doc.description, v_exam_risk_tag_doc.risklist as riskv,v_exam_risk_tag_doc.taglist, v_exam_risk_tag_doc.doc_id, v_exam_risk_tag_doc.doc_otherdoc_id, examident.id as examident_id,examident.name as code, examident.description as code_description, ".$sex." as sex, ".$age." as age from v_exam_risk_tag_doc,examident_link,examident where examident.name in (".$exam_ident.") and v_exam_risk_tag_doc.id=examident_link.exam_id and examident_link.examident_id=examident.id";

		$data->render_complex_sql 
		(
			$select,
			"id",
			"code, name, modality,description,riskv,taglist,doc_id, doc_otherdoc_id, sex, age"
		);
	}
	else
	{
		error_log ( "exam_ident not defined !!!" );
	}		
}
