<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_update($data){

  $conn = get_dbconnection();
  $sql = 'update department';
  $sql .= ' set name = \''.pg_escape_string ($conn,$data->get_value('name')).'\'';
  $sql .= ' where id =  '.$data->get_id().';commit;';


  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
    $data->success(); // marks an operation as finished
}

function my_delete($data){

  $sql = 'update department set removed = true where id = '.$data->get_id().';commit;';

  $conn = get_dbconnection();
  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("","Name"));
	$config->setColIds(array("inst_id","name"));
	$config->setColTypes(array("ro","ro"));
	$config->attachHeader(array("#rspan","#rspan"));
	$config->setColSorting(array("na","str"));
	$config->setInitWidthsP(array("0","100"));
	$config->setColHidden(array("1","0"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

  $data->event->attach('beforeUpdate','my_update');

  $data->event->attach('beforeDelete','my_delete');

	$data->render_sql("select id,inst_id,name from department where removed = false and inst_id = {$_GET['inst_id']}","id","inst_id,name");
}
