<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Dosimetry;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <script src="./js/c_documentmanager.js"></script>
  <script src="./js/c_filemanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridafcnsend = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/afcnsend/db_gridafcnsend.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3L');
  myLayout.cookie_id = 'eoqualafcnsend'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('550');
  window.cella = myLayout.cells('a');
  var grid_afcnsend = a.attachGrid();
  grid_afcnsend.enableMultiline(true);
  grid_afcnsend.load(url_gridafcnsend);
  var dpafcnsend = new dataProcessor(url_gridafcnsend);
  dpafcnsend.enableDataNames(true);
  dpafcnsend.init(grid_afcnsend); //link grid to dataprocessor

  var grid_afcnsend_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/afcnsend/afcnsendtoolbar.xml")
		});

  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('280');
  var form_afcnsend_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/afcnsend/afcnsendformtoolbar.xml")
  });
  var form_afcnsend = b.attachForm();

  form_afcnsend.loadStruct ( translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/afcnsend/afcnsendform.xml"),function ()
	{
		var combo_instid 	= form_afcnsend.getCombo('inst_id');
		var combo_depid 	= form_afcnsend.getCombo('dep_id');
		var combo_deviceid 	= form_afcnsend.getCombo('device_id');
		var myCalendar 		= form_afcnsend.getCalendar('senddate');

		combo_instid.attachEvent("onChange", function(value, text)
	 {
         var depid = ''
         var deviceid = '';
         var id = grid_afcnsend.getSelectedRowId();

         if(id != null)
         {
           var idx = grid_afcnsend.getColIndexById('dep_id');
           depid = grid_afcnsend.cells(id,idx).getValue();
           var idx2 = grid_afcnsend.getColIndexById('device_id');
           deviceid  = grid_afcnsend.cells(id,idx2).getValue();
         }
        combo_depid = form_afcnsend.getCombo('dep_id');
        combo_depid.load("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/db_combodepartmentunique.php?instid="+value,function(){
          combo_depid.unSelectOption();
          combo_depid.setComboValue(depid);
		  var date = myCalendar.getFormatedDate("%d/%m/%Y");
          combo_deviceid.load("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/db_combodevice.php?date="+date+"&depid="+depid,function(){
            combo_deviceid.unSelectOption();
            combo_deviceid.setComboValue(deviceid);
          });
        });
      });

      combo_instid.attachEvent ( "onChange", function(value, text)		// Institution changed
		{
			if(value == -1)
				combo_instid.unSelectOption();
		} );

      combo_depid.attachEvent ( "onChange", function(value, text )
		{
			if(value == -1)
			{
				combo_depid.unSelectOption();
				combo_deviceid.unSelectOption();
			}
			else
			{
				var date = myCalendar.getFormatedDate("%d/%m/%Y");
				combo_deviceid.load ( "<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/db_combodevice.php?date="+date+"&depid="+combo_depid.getSelectedValue(),function()
				{
					combo_deviceid.unSelectOption();
					var id = grid_afcnsend.getSelectedRowId();
					if(id != null)
					{
						var idx2 = grid_afcnsend.getColIndexById('device_id');
						var deviceid = grid_afcnsend.cells(id,idx2).getValue();
						combo_deviceid.setComboValue(deviceid);
					}
				} );
			}
		} );

      combo_deviceid.attachEvent("onChange", function(value, text){
				if(value == -1)
          combo_deviceid.unSelectOption();
			});



  });

  function convertDate(inputFormat) {
    function pad(s) { return (s < 10) ? '0' + s : s; }
    var d = new Date(inputFormat)
    return [pad(d.getDate()), pad(d.getMonth()+1), d.getFullYear()].join('/')
  }

  form_afcnsend.attachEvent("onChange", function (name, value, state){
       // your code here
       if(name == 'senddate')
       {

        var  combo_depid = form_afcnsend.getCombo('dep_id');
        if(combo_depid.getSelectedValue() != null)
        {


     		 var myCalendar 		= form_afcnsend.getCalendar('senddate');
         var combo_deviceid 	= form_afcnsend.getCombo('device_id');

         var date = convertDate(value);
         combo_deviceid.clearAll();
   				combo_deviceid.load ( "<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/db_combodevice.php?date="+date+"&depid="+combo_depid.getSelectedValue(),function()
   				{
   					combo_deviceid.unSelectOption();
   					var id = grid_afcnsend.getSelectedRowId();
   					if(id != null)
   					{
   						var idx2 = grid_afcnsend.getColIndexById('device_id');
   						var deviceid = grid_afcnsend.cells(id,idx2).getValue();
   						combo_deviceid.setComboValue(deviceid);
   					}
   				} );
        }
       }
       return true;
  });
  form_afcnsend.bind(grid_afcnsend);
  form_afcnsend.linkeddp = dpafcnsend;

  var c = myLayout.cells('c');

  c.hideHeader();

	var grid_afcnsenddocument_toolbar = c.attachToolbar
	(
		{
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/afcnsend/afcnsenddocumenttoolbar.xml")
		}
	);

	var grid_afcnsenddocument = c.attachGrid();

  dpafcnsend.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_afcnsend.updateFromXML(url_gridafcnsend+"?afcnsendid="+tid,false,false, function(){
        grid_afcnsend.selectRowById(tid,false,true,true);
        form_afcnsend.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_afcnsend.updateFromXML(url_gridafcnsend+"?afcnsendid="+tid,false,false, function(){
        grid_afcnsend.selectRowById(tid,false,true,true);
        form_afcnsend.setFocusOnFirstActive();
      });
    }
  });



  grid_afcnsend_toolbar.attachEvent("onClick", function(id)
  {
    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_afcnsend.uid();                  //generates an unique id
        grid_afcnsend.addRow(rowId,["<?php echo $_SESSION['id'];?>"],0);
      }break;
      case 'delete':
      {
        var rowId = grid_afcnsend.getSelectedRowId();
         var rowIndex = grid_afcnsend.getRowIndex(rowId);
         if(rowId!=null){
             grid_afcnsend.deleteRow(rowId);
             if(rowIndex!=(grid_afcnsend.getRowsNum()-1)){
                 grid_afcnsend.selectRow(rowIndex+1,true);
             } else{
                 grid_afcnsend.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_afcnsend_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_afcnsend.linkeddp.setUpdateMode('off');
        // save changes
        if(form_afcnsend.validate())
          form_afcnsend.save();
        form_afcnsend.linkeddp.sendData();
        form_afcnsend.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

  //***************************************afcnsend BEGIN*****************************************//

  var fileManager_afcnsend = new C_FileManager ();

  fileManager_afcnsend.set_data ( 'winname',			'FormafcnsendDocument'					);
  fileManager_afcnsend.set_data ( 'uploadername',		'devicedocumentfile'					);
  fileManager_afcnsend.set_data ( 'layout',				myLayout								);
  fileManager_afcnsend.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>			);
  fileManager_afcnsend.set_data ( 'title_newdocument',	'New afcnsend'							);
  fileManager_afcnsend.set_data ( 'title_newversion',	'New version'							);
  fileManager_afcnsend.set_data ( 'title_editversion',	'Edit version'							);
  fileManager_afcnsend.set_data ( 'noselection',		'No sending selected'					);
  fileManager_afcnsend.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'	);
  fileManager_afcnsend.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'		);
  fileManager_afcnsend.set_data ( 'type',				'afcnsend'								);
  fileManager_afcnsend.set_data ( 'uniquedoc',			'0'										);

  fileManager_afcnsend.init ();

  fileManager_afcnsend.init_object ( grid_afcnsend, grid_afcnsenddocument_toolbar, grid_afcnsenddocument );
  //***************************************afcnsend END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {

    switch(event.detail['type'])
    {
      case 'afcnsend':
      {
        fileManager_afcnsend.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'afcnsend':
      {
        fileManager_afcnsend.update_document_grid(event.detail['docid']);
      }break;
      default:
    }

  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'afcnsend':
      {
        fileManager_afcnsend.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
