
<?php
  include 'autoload.php';

  $conn = get_dbconnection();

  $examid = -1;
  if(isset($_GET['examid']))
  {
    $examid = $_GET['examid'];
  }
  if($conn)
  {
    //$sql="select examwarning.id,examwarning.title,coalesce(exam_id,-1) from examwarning left join examwarning_link on examwarning.id = examwarning_link.examwarning_id and examwarning_link.exam_id = {$examid} where examwarning.removed = false";
    $sql="select nameid,modality,description from examlist where removed = false and id = $examid";

    $examlistinfo = array();
    if($query=pg_query($conn,$sql))
    {

      if($row = pg_fetch_row($query))
      {

        $row[0]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[0],ENT_QUOTES)));
        $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
        $row[2]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[2],ENT_QUOTES)));

        $examlistinfo['name'] =   $row[0];
        $examlistinfo['modality'] =   $row[1];
        $examlistinfo['description'] =   $row[2];

      }
    }


  }
 ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">


        <title><?php echo $_ExamWarning;?></title>

        <style>
          .mybody { padding:0px; margin:0 auto; width: 70%; height: 99%  }
          .col{
            background-color: rgb(232,232,232);
            border-spacing : 122px;
          }
        </style>

        <body class="mybody">

            <div class="container-fluid">
                <div class="row">
                    <div class="col">
                      Name :
                    </div>
                    <div class="col">
                      <?php echo $examlistinfo['name'];?>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                      Modality :
                    </div>
                    <div class="col">
                      <?php echo $examlistinfo['modality'];?>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                      Description :
                    </div>
                    <div class="col">
                      <?php echo $examlistinfo['description'];?>
                    </div>
                </div>
                <div class="row">
                  <u>List of tags</u>
                </div>
                <?php
                $sql= "select name from tag_link,tag where tag_link.type = 'examlist' and tag_link.tag_id = tag.id and tag_link.ext_id = $examid and tag.removed=false order by name;";

                if($query=pg_query($conn,$sql))
                {

                  if($row = pg_fetch_row($query))
                  {

                    echo '<div class="row">';
                    do{
                      $row[0]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[0],ENT_QUOTES)));
                        echo '<div class="col">'.$row[0].'</div>';
                    }while($row = pg_fetch_row($query));
                    echo '</div>';

                  }
                }

                 ?>
                 <div class="row">
                   <u>Warning Details</u>
                 </div>
                 <?php
                 $sql= "select title,description from examwarning,examwarning_link where examwarning.id = examwarning_link.examwarning_id and examwarning_link.exam_id = $examid and examwarning.removed = false order by title";

                 if($query=pg_query($conn,$sql))
                 {

                   while($row = pg_fetch_row($query))
                   {
                     $row[0]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[0],ENT_QUOTES)));
                     $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
                     echo '<div class="row">';
                     echo '<h3>'.$row[0].'</h3>';
                     echo $row[1];
                     echo '</div>';
                   }
                 }

                  ?>
            </div>
        </body>
    </html>
