<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_doublecalendarinput.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_searchcbfilter.js"></script>
  <link rel="stylesheet" href="/extern_css/checkbox/searchableOptionList.css">
  <script type="text/javascript" src="./js/jquery/jquery.js"></script>
  <script type="text/javascript" src="/extern_css/checkbox/sol.js"></script>
	<script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>
  <script src="./js/c_documentmanager.js"></script>

  <link rel="stylesheet" href="./css/eoQUAL.css"/>
  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridlegaldocument = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/legaldocument/db_gridlegaldocumentlight.php';
  var solWarningLink = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/examlist/get_examwarning.php';
  var solTagLink = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/get_tag.php';
  var solTagInstDep = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/get_taginstdep.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

window.solForm = null;
window.solGrid = null;
window.solGridInst = null;
window.solWarning = null;
window.solFormInstDep= null;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '2U');
  myLayout.cookie_id = 'eoquallegaldocumentlight'+staffid;
  
  /*
  var l1a = myLayout.cells('a');
  l1a.hideHeader();
  l1a.setHeight(200);
  l1a.attachHTMLString("<div id='_searchTagInst_' data-sol-name='character' multiple='multiple'></div></br><div id='_searchTag_' data-sol-name='character' multiple='multiple'></div>");

  l1a.cell.classList.add('eo_ztop');
  */

  var b = myLayout.cells('b');  // pdfviewer;
  b.hideHeader();
  var legaldocumentlightdocumenttoolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumentlightdocumenttoolbar.xml")
  });

  var leftArea = myLayout.cells('a');
  /*
	var layout_1 = c.attachLayout('2U');
  var l1a = layout_1.cells('a');
  */
  leftArea.hideHeader();
  leftArea.setWidth('400');
  

  var grid_legaldocument_toolbar = leftArea.attachToolbar({
      iconset: "awesome",
      skin: "dhx_web",
      height:'25',
      xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/legaldocument/legaldocumentlighttoolbar.xml")
    });


  var grid_legaldocument = leftArea.attachGrid ();
  $(function() {
             window.solGrid = $('#_searchTagInst_').searchableOptionList({
               texts: {
                   searchplaceholder: 'Click here to add institution/department'
               },
             events: {
                onChange:function(sol,changedElements){
                  var idlist = ''; //nothing selected
                  var valueList = sol.getSelection();
                  if(valueList.length)
                    idlist = valueList[0].value;
                  for( var j = 1; j < valueList.length; j++)
                  {
                    idlist += ','+valueList[j].value;
                  }

                  var linkload = url_gridlegaldocument+"?taglist="+idlist;
                  if(idlist == '')
                  {
                    linkload= url_gridlegaldocument;
                  }

                  grid_legaldocument.load(linkload,function(){
                    if(grid_legaldocument.getRowsNum()){
                      grid_legaldocument.selectRow(0,true,true,true);
                    }
                  });

                }
           },
            maxHeight: '350px',
            data: solTagInstDep
          });
           window.solGridInst = $('#_searchTag_').searchableOptionList({
             texts: {
                 searchplaceholder: 'Click here to filter by tag'
             },
           events: {
              onChange:function(sol,changedElements){
                var idlist = ''; //nothing selected
                var valueList = sol.getSelection();
                if(valueList.length)
                  idlist = valueList[0].value;
                for( var j = 1; j < valueList.length; j++)
                {
                  idlist += ','+valueList[j].value;
                }

                var linkload = url_gridlegaldocument+"?taglist="+idlist;
                if(idlist == '')
                {
                  linkload= url_gridlegaldocument;
                }

                grid_legaldocument.load(linkload,function(){
                  if(grid_legaldocument.getRowsNum()){
                    grid_legaldocument.selectRow(0,true,true,true);
                  }
                });

              }
         },
          maxHeight: '350px',
          data: solTagLink
      });
  });

  grid_legaldocument.enableMultiline(true);
  grid_legaldocument.load(url_gridlegaldocument);

  grid_legaldocument.attachEvent 
  ( 
		"onRowSelect", 
		function(id,ind)
		{
			var idxdocid 	= grid_legaldocument.getColIndexById ( 'doc_id' );
			var doc_id 		= grid_legaldocument.cellById ( id, idxdocid ).getValue ();
			var documentStorage	= '<?php echo $GLOBALS[document_storage];?>';
		
		if ( doc_id != '' )
		{
			var url = '<?php echo $config_servernameorip.$config_pdfchrome;?>?docid=' + doc_id + '&documentstorage=' + documentStorage;
			
			b.attachURL ( url, false, true );
		}		
		else
		{
			b.attachHTMLString("<p>No file</p>");
		}
		
		// l1b.attachURL('/eoQUAL/examwarning_list.php?examid='+id,true,true);
	}
  );
  
  
  //***************************************event on document begin*****************************************//

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
