<?php
  include 'autoload.php';
 ?>
 
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Procedure;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="./js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <script src="./js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridprocedure = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/procedure/db_gridprocedurelight.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3J');
  myLayout.cookie_id = 'eoqualprocedure'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('400');
  var grid_procedure = a.attachGrid();
  grid_procedure.enableMultiline(true);
  grid_procedure.load(url_gridprocedure);

  var grid_procedure_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedurelighttoolbar.xml")
		});



  var b = myLayout.cells('b');
  b.hideHeader();
  var grid_proceduredocument_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedurelightdocumenttoolbar.xml")
  });



  var c = myLayout.cells('c');
  c.hideHeader();
  c.setHeight('260');
  var form_procedure_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedurelightformtoolbar.xml")
  });
  var form_procedure = c.attachForm();
  form_procedure.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedurelightform.xml"));

	form_procedure.bind( grid_procedure );

	grid_procedure.attachEvent
	(
		"onRowSelect", 
		function(id,ind)
		{
			var idxdocid 			= grid_procedure.getColIndexById('doc_id');
			var doc_id 				= grid_procedure.cellById(id,idxdocid).getValue();
			var documentStorage 	= '<?php echo $GLOBALS["document_storage"]; ?>';

			if ( doc_id != '' )
			{
				var url = '<?php echo $config_servernameorip.$config_pdfchrome;?>?docid='+doc_id + '&documentstorage=' + documentStorage;
			
				b.attachURL(url, false, true);
			}
			else
			{
				b.attachHTMLString ( "<p>No file</p>" );
			}
		}
	);
	
	//***************************************save state******************************************************//
	//dhtmlxUtils.init_layout_save_cookies(myLayout);
	//dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);
	//***************************************save state end******************************************************//

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
