<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_doublecalendarinput.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_ScheduledTask;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/js/jquery-easing/jquery.easing.min.js"></script>
  <script src="<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
  <?php
    if(isset($_GET['forselection']) && $_GET['forselection'] == '1') { ?>
      var url_gridaction = '<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/dbconnector/scheduledtask/db_gridaction.php?forselection=1&scope=<?php echo $_GET['scope'];?>&scopeid=<?php echo $_GET['scopeid'];?>';
    <?php } else { ?>
      var url_gridaction = '<?php echo $GLOBALS["EOQUAL_ROOT"] ?>/Main/dbconnector/scheduledtask/db_gridaction.php?forselection=0';
    <?php } ?>

<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '2U');
  myLayout.cookie_id = 'eoqualaction'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('410');
  window.cella = myLayout.cells('a');
  var grid_action = a.attachGrid();
  grid_action.enableMultiline(true);
  grid_action.cookie_id = 'eoqualaction'+staffid;
  grid_action.load(url_gridaction);

  grid_action.attachEvent("onEditCell", function(stage,rId,cInd,nValue,oValue){
    // your code here
    return false;
  });

  grid_action.attachEvent("onRowDblClicked", function(rId,cInd){
    var v = grid_action.getColIndexById("shortcut_pin");
    if(cInd == v)
    {
      var cIndalID = grid_action.getColIndexById("actionlinkid");

      var data= {};
      if(grid_action.cells(rId,cIndalID).getValue() == '')
      {
        data['action']= 'add';
      }else{
        data['action']= 'delete';
      }
      data ['actionlinkid'] = grid_action.cells(rId,cIndalID).getValue();
      data['actionid']= rId;
      data['scope']= '<?php echo $_GET['scope'];?>';
      data['scopeid']='<?php echo $_GET['scopeid'];?>';

      var xhr= new XMLHttpRequest();
      xhr.open("POST", '<?php echo $GLOBALS["EOQUAL_ROOT"];?>/Main/dbconnector/scheduledtask/db_actionlink.php', false);
      xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
      xhr.send(JSON.stringify(data));
      parent.wintask.close();

    }
  });

  var dpaction = new dataProcessor(url_gridaction);
  dpaction.enableDataNames(true);
  dpaction.init(grid_action); //link grid to dataprocessor


  var grid_action_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/scheduledtask/actiontoolbar.xml")
		});

  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('360');
  var form_action_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/scheduledtask/actionformtoolbar.xml")
  });
  var form_action = b.attachForm();
  form_action.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/scheduledtask/actionform.xml"),function(){
    var personincharge = form_action.getCombo('personincharge');

     personincharge.enableFilteringMode(true);
        personincharge.attachEvent("onChange", function(value, text){
  				if(value === null)
          {
            personincharge.setComboText('');
          }
  			});
      form_action.getCalendar('deadline').showToday();
      form_action.getCalendar('begdate').showToday();
      form_action.getCalendar('closeddate').showToday();
  });

  form_action.bind(grid_action);
  form_action.linkeddp = dpaction;

  dpaction.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_action.updateFromXML(url_gridaction+"&actionid="+tid,false,false, function(){
        form_action.clear();
        grid_action.selectRowById(tid,false,true,true);
        form_action.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_action.updateFromXML(url_gridaction+"&actionid="+tid,false,false, function(){
        grid_action.selectRowById(tid,false,true,true);
        form_action.setFocusOnFirstActive();
      });
    }
  });



  grid_action_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_action.uid();                  //generates an unique id
        grid_action.addRow(rowId,[""],0);
      }break;
      case 'delete':
      {
        var rowId = grid_action.getSelectedRowId();
         var rowIndex = grid_action.getRowIndex(rowId);
         if(rowId!=null){
             grid_action.deleteRow(rowId);
             if(rowIndex!=(grid_action.getRowsNum()-1)){
                 grid_action.selectRow(rowIndex+1,true);
             } else{
                 grid_action.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_action_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_action.linkeddp.setUpdateMode('off');
        // save changes
        if(form_action.validate())
          form_action.save();
        form_action.linkeddp.sendData();
        form_action.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });


  grid_action.attachEvent('onFilterStart',function(indexes,values){
    form_action.clear();
  });
  //***************************************action END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_action);

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
