<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Staff;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <script src="js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridstaff = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/staff/db_gridstaff.php';
  var url_gridstaffformation = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/staff/db_gridstaffformation.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '2U');
  myLayout.cookie_id = 'eoqualstaff'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('300');
  var grid_staff_toolbar = a.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/stafftoolbar.xml")
  });
  var grid_staff = a.attachGrid();
  grid_staff.enableMultiline(true);
  grid_staff.load(url_gridstaff);

  var b = myLayout.cells('b');
  var tab_staff = b.attachTabbar();

  tab_staff.setArrowsMode("auto");
  tab_staff.addTab('information','Information');


  //***************************************STAFF information BEGIN*****************************************//
  var tab_information = tab_staff.cells('information');
  var layout_1 = tab_information.attachLayout('2E');

	var cell_1 = layout_1.cells('a');
	cell_1.hideHeader();
  cell_1.setHeight('128');
  var form_staff_toolbar = cell_1.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffformtoolbar.xml")
  });
	var form_staff = cell_1.attachForm();


	form_staff.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffform.xml"));
  form_staff.bind(grid_staff);

	var cell_2 = layout_1.cells('b');
	cell_2.hideHeader();
  var grid_staffdocument_toolbar = cell_2.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffdocumenttoolbar.xml")
  });

	var grid_staffdocument = cell_2.attachGrid();

  grid_staff_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_staff.uid();                  //generates an unique id
        grid_staff.addRow(rowId,["",""],0);
      }break;
      case 'delete':
      {
        var rowId = grid_staff.getSelectedRowId();
         var rowIndex = grid_staff.getRowIndex(rowId);
         if(rowId!=null){
             grid_staff.deleteRow(rowId);
             if(rowIndex!=(grid_staff.getRowsNum()-1)){
                 grid_staff.selectRow(rowIndex+1,true);
             } else{
                 grid_staff.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });



  var docManager_staff = new C_DocumentManager ();
  
  docManager_staff.set_data ( 'winname',			'FormStaffDocument'								);
  docManager_staff.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_staff.set_data ( 'layout',				myLayout										);
  docManager_staff.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_staff.set_data ( 'title_newdocument',	'New document'									);
  docManager_staff.set_data ( 'title_newversion',	'New version'									);
  docManager_staff.set_data ( 'title_editversion',	'Edit version'									);
  docManager_staff.set_data ( 'noselection',		'No staff member selected'						);
  docManager_staff.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_staff.set_data ( 'documentstorage',	'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_staff.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_staff.set_data ( 'type',				'staff_member'									);
  
  docManager_staff.init ();
  
  docManager_staff.init_object ( grid_staff, grid_staffdocument_toolbar, grid_staffdocument );
  //***************************************STAFF information END*****************************************//


  //***************************************STAFF formation END*****************************************//

  tab_staff.addTab('formation','Formation');
  var tab_formation = tab_staff.cells('formation');
  var layout_3 = tab_formation.attachLayout('3U');

  var l3cell_a = layout_3.cells('a');
  l3cell_a.hideHeader();
  var grid_staffformation = l3cell_a.attachGrid();
  grid_staffformation.cookie_id = 'grid_staffformation'+staffid;

  var grid_staffformation_toolbar = l3cell_a.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffformationtoolbar.xml")
  });

  grid_staffformation.load(url_gridstaffformation);
  grid_staffformation.attachEvent("onEditCell",function(stage, id, ind){
       return false;
  });
  var dpstaffformation = new dataProcessor(url_gridstaffformation);
  dpstaffformation.enableDataNames(true);
  dpstaffformation.init(grid_staffformation);

  var l3cell_b = layout_3.cells('b');
  l3cell_b.hideHeader();
  l3cell_b.setWidth("600");
  var form_staffformation_toolbar = l3cell_b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffformationformtoolbar.xml")
  });
  var form_staffformation = l3cell_b.attachForm();
  form_staffformation.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffformationform.xml"),function(){
    form_staffformation.getCalendar('formation_date').showToday();
    form_staffformation.getCalendar('planned_date').showToday();
  });
  form_staffformation.bind(grid_staffformation);
  form_staffformation.linkeddp = dpstaffformation;
  form_staffformation_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_staffformation.linkeddp.setUpdateMode('off');
        // save changes
        if(form_staffformation.validate())
          form_staffformation.save();
        form_staffformation.linkeddp.sendData();
        form_staffformation.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

  dpstaffformation.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
    if(action=='inserted' ){
      grid_staffformation.updateFromXML(url_gridstaffformation+"?staffformationid="+tid,false,false, function(){
        grid_staffformation.selectRowById(tid,true);
        form_staffformation.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_staffformation.updateFromXML(url_gridstaffformation+"?staffformationid="+tid,false,false, function(){
        grid_staffformation.selectRowById(tid,true);
        form_staffformation.setFocusOnFirstActive();
      });
    }
  });
  var l3cell_c = layout_3.cells('c');
  l3cell_c.hideHeader();

  var grid_staffformationdocument_toolbar = l3cell_c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/staff/staffformationdocumenttoolbar.xml")
  });

  var grid_staffformationdocument = l3cell_c.attachGrid();


  grid_staffformation_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var staff_id = grid_staff.getSelectedRowId();
        if(staff_id == null)
        {
          dhtmlx.message({
        		type: "error",
        		text: "No staff member selected"
        	})
          return;
        }
        var rowId=grid_staffformation.uid(); //generates an unique id
        grid_staffformation.addRow(rowId,[staff_id],0);
        grid_staffformation.selectRow(rowId,true);
      }break;
      case 'delete':
      {
        var rowId = grid_staffformation.getSelectedRowId();
         var rowIndex = grid_staffformation.getRowIndex(rowId);
         if(rowId!=null){
             grid_staffformation.deleteRow(rowId);
             if(rowIndex!=(grid_staffformation.getRowsNum()-1)){
                 grid_staffformation.selectRow(rowIndex+1,true);
             } else{
                 grid_staffformation.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  
  var docManager_staffformation= new C_DocumentManager ();
  
  docManager_staffformation.set_data ( 'winname',			'FormStaffformationDocument'					);
  docManager_staffformation.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_staffformation.set_data ( 'layout',			myLayout										);
  docManager_staffformation.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_staffformation.set_data ( 'title_newdocument',	'New document'									);
  docManager_staffformation.set_data ( 'title_newversion',	'New version'									);
  docManager_staffformation.set_data ( 'title_editversion',	'Edit version'									);
  docManager_staffformation.set_data ( 'noselection',		'No inspection selected'						);
  docManager_staffformation.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_staffformation.set_data ( 'documentstorage',	'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_staffformation.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_staffformation.set_data ( 'type',				'staff_formation'								);
  
  docManager_staffformation.init ();
  
  docManager_staffformation.init_object ( grid_staffformation, grid_staffformationdocument_toolbar, grid_staffformationdocument );
  //***************************************DEVICE Inspection END*****************************************//

  grid_staff.attachEvent("onRowSelect", function(id,ind){
    // your code here
    grid_staffformation.load(url_gridstaffformation+'?staffid='+id,function(){

      if(grid_staffformation.getRowsNum() > 0)
      {
        grid_staffformation.selectRow(0,true);
      }else{
        form_staffformation.clear();
        docManager_staffformation.clear();
      }
    });
  });

  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  dhtmlxUtils.init_grid_save_cookies(grid_staffformation);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'staff_member':
      {
        docManager_staff.update_document_grid(event.detail['docid']);
      }break;
      case 'staff_formation':
      {
        docManager_staffformation.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'staff_member':
      {
        docManager_staff.update_document_grid(event.detail['docid']);
      }break;
      case 'staff_formation':
      {
        docManager_staffformation.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'staff_member':
      {
        docManager_staff.update_document_grid(event.detail['docid']);
      }break;
      case 'staff_formation':
      {
        docManager_staffformation.update_document_grid(event.detail['docid']);
      }
      default:
    }
  });

  tab_staff.setSkin('material');
  tab_information.setActive();
  //***************************************event on document end*****************************************//
  myLayout.attachEvent("onResizeFinish", function(){
      // your code here
      tab_staff.setSizes();

  });
	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
